Subject: bug#62623: closed (Re: bug#62623: (backtrace) hangs and causes excessive memory usage)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Feb 2025 10:04:03 +0000

Your bug report

#62623: (backtrace) hangs and causes excessive memory usage

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62623: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62623
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62623: (backtrace) hangs and causes excessive memory usage
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2025 10:03:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Someone else has this problem, which makes me feel a bit better since I
> had no idea what's going on here.
>
> I'm assuming that (backtrace) causing issues is still a problem with
> Guile itself, but it seems like there's some involvement of
> guile-fibers (which fits with my experience):
>
>   https://github.com/wingo/fibers/issues/76

I'm not sure, but I think this is fixed now.

Subject: (backtrace) hangs and causes excessive memory usage
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 02 Apr 2023 18:38:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've got this problem in the guix-build-coordinator, but I've been so
far unable to reproduce it in a standalone manor.

When (backtrace) is called, the output seems to start, but then stops as
seen below. The memory usage also seems to then start increasing with
increasingly large jumps over a period of hours.

I've seen calling (backtrace) crash before, but this behaviour where it
seems to get stuck is new. I can't tell for sure whether the excessive
memory usage is directly related, or a consequence of the problem.

I've included some output from (backtrace) where this problem occurs
below.

Backtrace:
In ice-9/boot-9.scm:
  1752:10 13 (with-exception-handler _ _ #:unwind? _ # _)
In guix-build-coordinator/coordinator.scm:
    900:9 12 (_)
In prometheus.scm:
    429:4 11 (call-with-duration-metric _ _ _ #:buckets _ #:docstring …)
In ice-9/boot-9.scm:
  1747:15 10 (with-exception-handler #<procedure 7f18a15931c0 at gu…> …)
In guix-build-coordinator/coordinator.scm:
   913:15  9 (_)
In ice-9/boot-9.scm:
  1752:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In guix-build-coordinator/coordinator.scm:
   915:19  7 (_)
   858:10  6 

Backtrace:
In guix-build-coordinator/utils.scm:
   1179:6 13 (_)
In ice-9/boot-9.scm:
  1747:15 12 (with-exception-handler #<program 7fb7adc56a00 7fb7ab4…> …)
  1747:15 11 (with-exception-handler #<program 7fb7adbf6f00 7fb7a98…> …)
In guix-build-coordinator/coordinator.scm:
   1011:8 10 (_)
In ice-9/boot-9.scm:
  1752:10  9 (with-exception-handler _ _ #:unwind? _ # _)
In prometheus.scm:
    429:4  8 (call-with-duration-metric _ _ _ #:buckets _ #:docstring …)
In ice-9/eval.scm:
    619:8  7